'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _Drawer = require('@material-ui/core/Drawer');

var _Drawer2 = _interopRequireDefault(_Drawer);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _ThemeProvider = require('../ThemeProvider');

var _ThemeProvider2 = _interopRequireDefault(_ThemeProvider);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var darkBlack = 'rgba(0, 0, 0, 0.87)'; /*
                                        * This file is part of ORY Editor.
                                        *
                                        * ORY Editor is free software: you can redistribute it and/or modify
                                        * it under the terms of the GNU Lesser General Public License as published by
                                        * the Free Software Foundation, either version 3 of the License, or
                                        * (at your option) any later version.
                                        *
                                        * ORY Editor is distributed in the hope that it will be useful,
                                        * but WITHOUT ANY WARRANTY; without even the implied warranty of
                                        * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
                                        * GNU Lesser General Public License for more details.
                                        *
                                        * You should have received a copy of the GNU Lesser General Public License
                                        * along with ORY Editor.  If not, see <http://www.gnu.org/licenses/>.
                                        *
                                        * @license LGPL-3.0
                                        * @copyright 2016-2018 Aeneas Rekkas
                                        * @author Aeneas Rekkas <aeneas+oss@aeneas.io>
                                        *
                                        */

var BottomToolbar = function BottomToolbar(_ref) {
  var _ref$open = _ref.open,
      open = _ref$open === undefined ? false : _ref$open,
      children = _ref.children,
      className = _ref.className,
      theme = _ref.theme;
  return _react2.default.createElement(
    _ThemeProvider2.default,
    { theme: theme },
    _react2.default.createElement(
      _Drawer2.default,
      {
        variant: 'persistent',
        className: className,
        open: open,
        anchor: 'bottom',
        PaperProps: { style: {
            backgroundColor: 'transparent',
            border: 'none'
          } }
      },
      _react2.default.createElement(
        'div',
        {
          style: {
            border: darkBlack + ' 1px solid',
            borderRadius: '4px 4px 0',
            backgroundColor: darkBlack,
            padding: '12px 24px',
            margin: 'auto'
          }
        },
        children
      )
    )
  );
};

exports.default = BottomToolbar;
//# sourceMappingURL=index.js.map