'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Button = require('@material-ui/core/Button');

var _Button2 = _interopRequireDefault(_Button);

var _device = require('device.js');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var DisplayModeToggle = function DisplayModeToggle(_ref) {
  var description = _ref.description,
      icon = _ref.icon,
      onClick = _ref.onClick,
      active = _ref.active,
      disabled = _ref.disabled;
  return _react2.default.createElement(
    'div',
    { className: 'ory-controls-mode-toggle-button' },
    _react2.default.createElement(
      'div',
      { className: 'ory-controls-mode-toggle-button-inner' },
      _react2.default.createElement(
        _Button2.default,
        {
          variant: 'fab',
          color: active ? 'secondary' : 'default',
          mini: _device.device.mobile,
          onClick: onClick,
          disabled: disabled
        },
        icon
      )
    ),
    _react2.default.createElement(
      'div',
      { className: 'ory-controls-mode-toggle-button-description' },
      description
    )
  );
}; /*
    * This file is part of ORY Editor.
    *
    * ORY Editor is free software: you can redistribute it and/or modify
    * it under the terms of the GNU Lesser General Public License as published by
    * the Free Software Foundation, either version 3 of the License, or
    * (at your option) any later version.
    *
    * ORY Editor is distributed in the hope that it will be useful,
    * but WITHOUT ANY WARRANTY; without even the implied warranty of
    * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    * GNU Lesser General Public License for more details.
    *
    * You should have received a copy of the GNU Lesser General Public License
    * along with ORY Editor.  If not, see <http://www.gnu.org/licenses/>.
    *
    * @license LGPL-3.0
    * @copyright 2016-2018 Aeneas Rekkas
    * @author Aeneas Rekkas <aeneas+oss@aeneas.io>
    *
    */

exports.default = DisplayModeToggle;
//# sourceMappingURL=index.js.map