'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _SettingsOverscan = require('@material-ui/icons/SettingsOverscan');

var _SettingsOverscan2 = _interopRequireDefault(_SettingsOverscan);

var _reactRedux = require('react-redux');

var _display = require('ory-editor-core/lib/actions/display');

var _display2 = require('ory-editor-core/lib/selector/display');

var _reselect = require('reselect');

var _Button = require('../Button');

var _Button2 = _interopRequireDefault(_Button);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Inner = function Inner(_ref) {
  var isResizeMode = _ref.isResizeMode,
      resizeMode = _ref.resizeMode;
  return _react2.default.createElement(_Button2.default, {
    icon: _react2.default.createElement(_SettingsOverscan2.default, null),
    description: 'Resize things',
    active: isResizeMode,
    onClick: resizeMode
  });
}; /*
    * This file is part of ORY Editor.
    *
    * ORY Editor is free software: you can redistribute it and/or modify
    * it under the terms of the GNU Lesser General Public License as published by
    * the Free Software Foundation, either version 3 of the License, or
    * (at your option) any later version.
    *
    * ORY Editor is distributed in the hope that it will be useful,
    * but WITHOUT ANY WARRANTY; without even the implied warranty of
    * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    * GNU Lesser General Public License for more details.
    *
    * You should have received a copy of the GNU Lesser General Public License
    * along with ORY Editor.  If not, see <http://www.gnu.org/licenses/>.
    *
    * @license LGPL-3.0
    * @copyright 2016-2018 Aeneas Rekkas
    * @author Aeneas Rekkas <aeneas+oss@aeneas.io>
    *
    */

var mapStateToProps = (0, _reselect.createStructuredSelector)({ isResizeMode: _display2.isResizeMode });
var mapDispatchToProps = { resizeMode: _display.resizeMode };

exports.default = (0, _reactRedux.connect)(mapStateToProps, mapDispatchToProps)(Inner);
//# sourceMappingURL=index.js.map