'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.dismissedMobilePreviewKey = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Snackbar = require('@material-ui/core/Snackbar');

var _Snackbar2 = _interopRequireDefault(_Snackbar);

var _reactRedux = require('react-redux');

var _reselect = require('reselect');

var _setting = require('ory-editor-core/lib/actions/setting');

var _setting2 = require('ory-editor-core/lib/selector/setting');

var _i18n = require('ory-editor-core/lib/service/i18n');

var _i18n2 = _interopRequireDefault(_i18n);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var dismissedMobilePreviewKey = exports.dismissedMobilePreviewKey = 'mobile-preview-dismissed'; /*
                                                                                                 * This file is part of ORY Editor.
                                                                                                 *
                                                                                                 * ORY Editor is free software: you can redistribute it and/or modify
                                                                                                 * it under the terms of the GNU Lesser General Public License as published by
                                                                                                 * the Free Software Foundation, either version 3 of the License, or
                                                                                                 * (at your option) any later version.
                                                                                                 *
                                                                                                 * ORY Editor is distributed in the hope that it will be useful,
                                                                                                 * but WITHOUT ANY WARRANTY; without even the implied warranty of
                                                                                                 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
                                                                                                 * GNU Lesser General Public License for more details.
                                                                                                 *
                                                                                                 * You should have received a copy of the GNU Lesser General Public License
                                                                                                 * along with ORY Editor.  If not, see <http://www.gnu.org/licenses/>.
                                                                                                 *
                                                                                                 * @license LGPL-3.0
                                                                                                 * @copyright 2016-2018 Aeneas Rekkas
                                                                                                 * @author Aeneas Rekkas <aeneas+oss@aeneas.io>
                                                                                                 *
                                                                                                 */

var handleDismiss = function handleDismiss(updateSetting, id) {
  return function () {
    return updateSetting('notifier.' + id, true);
  };
};

var Notifier = function Notifier(_ref) {
  var dismissed = _ref.dismissed,
      id = _ref.id,
      open = _ref.open,
      _ref$action = _ref.action,
      action = _ref$action === undefined ? 'dismiss' : _ref$action,
      message = _ref.message,
      updateSetting = _ref.updateSetting;
  return _react2.default.createElement(_Snackbar2.default, {
    open: open && !dismissed,
    action: action,
    message: _i18n2.default.t(message),
    onClose: handleDismiss(updateSetting, id)
  });
};

var mapStateToProps = (0, _reselect.createStructuredSelector)({
  dismissed: function dismissed(state, props) {
    return (0, _setting2.getSetting)('notifier.' + props.id)(state);
  }
});

var mapActionsToProps = {
  updateSetting: _setting.updateSetting
};

exports.default = (0, _reactRedux.connect)(mapStateToProps, mapActionsToProps)(Notifier);
//# sourceMappingURL=index.js.map