"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

/*
 * This file is part of ORY Editor.
 *
 * ORY Editor is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * ORY Editor is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with ORY Editor.  If not, see <http://www.gnu.org/licenses/>.
 *
 * @license LGPL-3.0
 * @copyright 2016-2018 Aeneas Rekkas
 * @author Aeneas Rekkas <aeneas+oss@aeneas.io>
 *
 */

var source = {
  beginDrag: function beginDrag(_ref) {
    var insert = _ref.insert,
        props = _objectWithoutProperties(_ref, ["insert"]);

    props.layoutMode();
    return Object.assign({
      node: insert,
      rawNode: function rawNode() {
        return insert;
      }
    }, props);
  },
  endDrag: function endDrag(props, monitor) {
    var item = monitor.getItem();
    if (monitor.didDrop()) {
      setTimeout(function () {
        item.insertMode();
      }, 10);
      // If the item drop occurred deeper down the tree, don't do anything
      return;
    }

    item.clearHover();
    setTimeout(function () {
      item.insertMode();
    }, 100);
  }
};

exports.source = source;
var collect = exports.collect = function collect(connect, monitor) {
  return {
    connectDragSource: connect.dragSource(),
    isDragging: monitor.isDragging(),
    connectDragPreview: connect.dragPreview()
  };
};
//# sourceMappingURL=index.js.map