'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactDnd = require('react-dnd');

var _Delete = require('@material-ui/icons/Delete');

var _Delete2 = _interopRequireDefault(_Delete);

var _Button = require('@material-ui/core/Button');

var _Button2 = _interopRequireDefault(_Button);

var _lib = require('ory-editor-core/lib');

var _reactRedux = require('react-redux');

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _core = require('ory-editor-core/lib/actions/cell/core');

var _lodash = require('lodash.throttle');

var _lodash2 = _interopRequireDefault(_lodash);

var _display = require('ory-editor-core/lib/selector/display');

var _reselect = require('reselect');

var _Provider = require('../Provider');

var _Provider2 = _interopRequireDefault(_Provider);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; } /*
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                * This file is part of ORY Editor.
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                *
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                * ORY Editor is free software: you can redistribute it and/or modify
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                * it under the terms of the GNU Lesser General Public License as published by
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                * the Free Software Foundation, either version 3 of the License, or
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                * (at your option) any later version.
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                *
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                * ORY Editor is distributed in the hope that it will be useful,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                * but WITHOUT ANY WARRANTY; without even the implied warranty of
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                * GNU Lesser General Public License for more details.
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                *
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                * You should have received a copy of the GNU Lesser General Public License
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                * along with ORY Editor.  If not, see <http://www.gnu.org/licenses/>.
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                *
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                * @license LGPL-3.0
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                * @copyright 2016-2018 Aeneas Rekkas
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                * @author Aeneas Rekkas <aeneas+oss@aeneas.io>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                *
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                */

var target = {
  hover: (0, _lodash2.default)(function (props, monitor) {
    var item = monitor.getItem();
    if (monitor.isOver({ shallow: true })) {
      item.clearHover();
    }
  }, 200, { trailing: false }),

  drop: function drop(props, monitor) {
    var item = monitor.getItem();
    if (monitor.didDrop() || !monitor.isOver({ shallow: true })) {
      // If the item drop occurred deeper down the tree, don't do anything
      return;
    }

    props.removeCell(item.id);
  }
};

var connectMonitor = function connectMonitor(connect, monitor) {
  return {
    connectDropTarget: connect.dropTarget(),
    isOverCurrent: monitor.isOver({ shallow: true })
  };
};

var Raw = function (_React$Component) {
  _inherits(Raw, _React$Component);

  function Raw() {
    _classCallCheck(this, Raw);

    return _possibleConstructorReturn(this, (Raw.__proto__ || Object.getPrototypeOf(Raw)).apply(this, arguments));
  }

  _createClass(Raw, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          isLayoutMode = _props.isLayoutMode,
          connectDropTarget = _props.connectDropTarget,
          isOverCurrent = _props.isOverCurrent;

      return connectDropTarget(_react2.default.createElement(
        'div',
        {
          className: (0, _classnames2.default)('ory-controls-trash', {
            'ory-controls-trash-active': isLayoutMode
          })
        },
        _react2.default.createElement(
          _Button2.default,
          {
            variant: 'fab',
            color: 'secondary',
            disabled: !isOverCurrent
          },
          _react2.default.createElement(_Delete2.default, null)
        )
      ));
    }
  }]);

  return Raw;
}(_react2.default.Component);

var types = function types(_ref) {
  var editor = _ref.editor;

  var plugins = [].concat(_toConsumableArray(Object.keys(editor.plugins.plugins.layout)), _toConsumableArray(Object.keys(editor.plugins.plugins.content))).map(function (p) {
    return editor.plugins.plugins.content[p].name || editor.plugins.plugins.layout[p].name;
  });

  if (editor.plugins.hasNativePlugin()) {
    plugins.push(editor.plugins.getNativePlugin()().name);
  }

  return plugins;
};

var mapDispatchToProps = {
  removeCell: _core.removeCell
};

var mapStateToProps = (0, _reselect.createStructuredSelector)({
  isEditMode: _display.isEditMode,
  isLayoutMode: _display.isLayoutMode,
  isPreviewMode: _display.isPreviewMode,
  isInsertMode: _display.isInsertMode,
  isResizeMode: _display.isResizeMode
});

var Decorated = (0, _reactRedux.connect)(mapStateToProps, mapDispatchToProps)((0, _reactDnd.DropTarget)(types, target, connectMonitor)(Raw));

var Trash = function Trash(props) {
  return _react2.default.createElement(
    _Provider2.default,
    props,
    _react2.default.createElement(Decorated, props)
  );
};

exports.default = Trash;
//# sourceMappingURL=index.js.map